  //===========================================================================
  /**
   * Загрузить контент на страницу
   *
   * @param string  url            страница
   * @param string  param          параметры
   * @param string  id             идентифиактор объекта в который загружается контент
   * @param string  message        сообщение о загрзке
   * @param string  afterResponse  действие после загрузки
   * @param boolean noSaveWindow   не сохранять страницу для отката
   * @param boolean saveName       название областей сохранения
   */
  var innerHtml = '';
  var pageSaveName = new Array();        //Массив со страницами
  var pageSaveNameLast = 'saveNameStart';//Последняя загруженная страница
  var pageSaveNameLast2 = new Array();   //Последняя загруженная страница, второго подуровня

  //===========================================================================
  /**
   * Загрузить контент на страницу
   *
   * @param string  url            страница
   * @param string  param          параметры
   * @param string  id             идентифиактор объекта в который загружается контент
   * @param string  message        сообщение о загрзке
   * @param string  afterResponse  действие после загрузки
   * @param boolean noSaveWindow   не сохранять страницу для отката
   * @param boolean saveName       название областей сохранения
   */

function downloadPage (url, param, id, message, afterResponse, noSaveWindow, saveName, effect, save_width, save_height, show_loading )
{
//	/alert(id);
	if(getId(id))
    {
		//debugger;
		
    	startTimer('loadTimer'+id, message);
       	window.loadingtype = 1;
		
       	//alert(show_loading);
       	if (id != 'hidden_content' && show_loading == 1)
       	{
           	onloading();
//	       	pos = getAbsolutePos(getId(id));
//	       	getId('div_reload').style.left = pos.x;
//	       	if (getId('wrap'))
//	       	{
//	       		getId('div_reload').style.top = pos.y-5 - parseInt(getId('wrap').scrollTop);
//	       	}else{
//	       		getId('div_reload').style.top = pos.y-5;
//	       	}
//	       	//getId('div_reload').style.position = 'absolute';
	       	ShowLoading(true);
       	}

       	if (window.XMLHttpRequest)     req = new XMLHttpRequest();
        else if (window.ActiveXObject) req = new ActiveXObject("Microsoft.XMLHTTP");
		
        if (req)
        { req.onreadystatechange = function()
          {if (req.readyState == 4)
            { 
			
        	  if (req.status == 200)
              {
                //Если идентификатор еще существует
				
                if(getId(id))
                {
                	//Обнуляем таймер
                  if(getId('loadTimer'+id)) getId('loadTimer'+id).setAttribute('value', '-1');

                  //Выводим информацию
                  
                  if (getCookie('show_animation'))
                  {
                	  flag_anim = getCookie('show_animation');
                  }else{
                	  flag_anim = 1;
                  }
				  
                  getId(id).innerHTML = req.responseText;
//alert(req.responseText);

                  /*поиск и выполнение скриптов*/
	          	  var a = getId(id).getElementsByTagName('script');
	        	  var b = new Array();
	        	  for (var i = 0; i < a.length; i++){
					  b.push(a[i].innerHTML);
	        	  }
				  //debugger;
				   
	        	  
	        	  while (b.length > 0){
	        		  eval(b.shift());
	        	  }

            	  if (id != 'hidden_content')
	              {
            		  HideLoading();
//	                  getId('div_reload').style.position = '';
	              }
            	  //alert(req.responseText);
                  //Действие после загрузки
                  if (save_width == 1)
                  {
                	  getId(id).style.width =  getId(id).scrollWidth;
					 
                  }
                  if (save_height == 1)
                  {
                	  var a = 0;
                	  if (getId(id).scrollWidth > getId(id).offsetWidth){
                		  a = 20;
                	  }
                	  //alert(getId(id).offsetHeight);
                	  getId(id).style.height = getId(id).scrollHeight + a;
                  }
                  stopTimer('loadTimer'+id);
                  if(afterResponse!=undefined) eval(afterResponse);
                  	window.loadingtype = 2;
                  }
                  //req = null;
              }
              else
              {
              	  //Обнуляем таймер
                  if(getId('loadTimer')) getId('loadTimer').setAttribute('value', '-1');
                  var error_text='Страница: '+url+'<br />Код ошибки: '+req.status+' <br />Параметры: '+param+'<br />html_id: '+id+'<br />afterResponse: '+afterResponse;
                  //Выводим информацию
                  getId(id).innerHTML = 'При загрузке страницы произошла ошибка. Пожалуйста, обновите страницу. <script>top.location.reload();</script>'
                  ;
              }
            }
          }
        	param = param+'&request_by_ajax=1';
          req.open('POST', url + ( (navigator.userAgent.indexOf('Opera 8')>=0 || navigator.userAgent.indexOf('Opera/8')>=0) ? '?'+param : ''), true);
          try
          {
        	  req.setRequestHeader('Accept-Charset', 'windows-1251');
        	  req.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded; charset=windows-1251');
          }catch (er){}
          req.send(param);
        }
    }else
    {
      alert('Ошибка, часть данных потеряна,\nпожалуйста перезагрузите страницу');
    }
	
}

function eval2()
{
	alert(innerHtml);
	eval (innerHtml);
}
  
  //===========================================================================
  
function onloading(dot)
{
	if (dot == '' || dot == undefined)
	{
		dot = '.';
	}

	if (dot == '....')
	{
		dot = '.';
	}
	  
	  var statusloading = 'Идет загрузка. Ждите';
	  var statusend = 'Готово';
	  if (window.loadingtype == 1){
		  window.status = statusloading + dot;
		  dot += '.';
		  setTimeout("onloading('"+dot+"')",500);
	  }else{
		 window.status = statusend;
	  }
}
  
    //===========================================================================
  
function stopTimer(id)
{
	if (window.timer)
	{
		if(getId(id))
		{
			el = getId(id);
			el.setAttribute('value', 0);
		}
		clearTimeout(window.timer);
	}
}

function startTimer(id, message)
{
	if (window.timer)
	{
		clearTimeout(window.timer);
	}

	el = getId(id);
	if(el)
	{
		var val = Math.round(el.getAttribute('value')) + 1;
		el.setAttribute('value', val);
		var min = Math.floor(val/60);
		var sec = val%60;
		el.innerHTML = message + ' (' +((min > 9) ? min : '0' + min) + ':' + ((sec > 9) ? sec : '0' + sec) + ')';
		window.timer = setTimeout("startTimer('"+id+"','"+message+"')", 1000);
	}
}